Package org.bukkit.event.player

# Enum Class PlayerFishEvent.State

java.lang.Object
java.lang.Enum<PlayerFishEvent.State>
org.bukkit.event.player.PlayerFishEvent.State

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerFishEvent.State>`, `Constable`

Enclosing class:
  PlayerFishEvent

public static enum PlayerFishEvent.State extends Enum<PlayerFishEvent.State>
An enum to specify the state of the fishing

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BITE`
Called when there is a bite on the hook and it is ready to be reeled in.
`CAUGHT_ENTITY`
When a player has successfully caught an entity.
`CAUGHT_FISH`
When a player has successfully caught a fish and is reeling it in.
`FAILED_ATTEMPT`
When a player fails to catch a bite while fishing usually due to poor timing.
`FISHING`
When a player is fishing, ie casting the line out.
`IN_GROUND`
When a bobber is stuck in the ground.
`REEL_IN`
When a player reels in their hook without receiving any bites.

## Method Summary

Modifier and Type
Method
Description
`static PlayerFishEvent.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerFishEvent.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FISHING

public static final PlayerFishEvent.State FISHING
When a player is fishing, ie casting the line out.

### CAUGHT_FISH

public static final PlayerFishEvent.State CAUGHT_FISH
When a player has successfully caught a fish and is reeling it in. In this instance, a "fish" is any item retrieved from water as a result of fishing, ie an item, but not necessarily a fish.

### CAUGHT_ENTITY

public static final PlayerFishEvent.State CAUGHT_ENTITY
When a player has successfully caught an entity. This refers to any already spawned entity in the world that has been hooked directly by the rod.

### IN_GROUND

public static final PlayerFishEvent.State IN_GROUND
When a bobber is stuck in the ground.

### FAILED_ATTEMPT

public static final PlayerFishEvent.State FAILED_ATTEMPT
When a player fails to catch a bite while fishing usually due to poor timing.

### REEL_IN

public static final PlayerFishEvent.State REEL_IN
When a player reels in their hook without receiving any bites.

### BITE

public static final PlayerFishEvent.State BITE
Called when there is a bite on the hook and it is ready to be reeled in.

## Method Details

### values

public static PlayerFishEvent.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerFishEvent.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null